use tracing_subscriber::fmt::format::FmtSpan;


/// Initializes `tracing-subscriber` with defaults that work well with Cicero.
///
/// Call this at the start of your main-function.
pub fn tracing() {
    tracing_subscriber::fmt()
        .with_max_level(tracing::Level::TRACE)
        .with_span_events(FmtSpan::ENTER | FmtSpan::CLOSE)
        .with_writer(std::io::stderr) //allows piping stdout from task output without tracing interfering
        .init();
}
